# List card authorization policies

**GET** `/issuing/card-authorization-policies`

Retrieve a list of card authorization policies, each with the version currently in effect.

### Query Parameters

- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `scope` `enum` — Return only policies with this scope (`card_program`, `card_account`, or `card`).
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/issuing/card-authorization-policies' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "card_authorization_policies": [
    {
      "created_at": "2024-01-15T09:30:00Z",
      "current_version": {
        "card_authorization_policy_id": "caup_2x8gszy5folpA9s0TOCseE9ABDM",
        "config": {
          "allowed_merchant_category_codes": [
            "5411",
            "5912"
          ],
          "allowed_merchant_country_codes": [
            null
          ],
          "allowed_merchant_currency_codes": [
            "USD"
          ],
          "allowed_merchant_ids": [
            null
          ],
          "blocked_merchant_category_codes": [
            "7995"
          ],
          "blocked_merchant_country_codes": [
            null
          ],
          "blocked_merchant_currency_codes": [
            "EUR"
          ],
          "blocked_merchant_ids": [
            null
          ],
          "card_spend_policies": [
            {
              "interval": "transaction",
              "number_of_transactions": 10,
              "scope": "card_program",
              "total_volume": 100000
            }
          ]
        },
        "created_at": "2024-01-15T09:30:00Z",
        "effective_on": "2024-01-15T09:30:00Z",
        "id": "cauv_2x8gszy5folpA9s0TOCseE9ABDM",
        "scope": "card_program"
      },
      "id": "caup_2x8gszy5folpA9s0TOCseE9ABDM",
      "scope": "card_program"
    }
  ],
  "has_more": false
}
```
